#!/bin/bash

# uninstall logic for Host-it Backup-Lite Client 6.15.0.0
# The root privilege is required to uninstall the application

###############################################################################
#             S H U T - D O W N                 S E R V I C E S               #
###############################################################################

# Shutdown Scheduler
if [ -e "/Applications/Host-it Backup-Lite/ipc/Scheduler/running" ]; then
    echo "Shutdown Scheduler for Host-it Backup-Lite Client"
    touch "/Applications/Host-it Backup-Lite/ipc/Scheduler/stop"
    echo "Wait 5 seconds before Scheduler exits"
    sleep 5
fi

# Shutdown AutoUpdateAgent
if [ -e "/Applications/Host-it Backup-Lite/aua/bin" ]; then
    echo "Shutdown AutoUpdateAgent for Host-it Backup-Lite Client"
    sh "/Applications/Host-it Backup-Lite/aua/bin/shutdown.sh"
    echo "Wait 5 seconds before AutoUpdateAgent exits"
    sleep 5
fi

###############################################################################
#        T A S K K I L L       A L L      J A V A       P R O C E S S         #
###############################################################################

# Kill all running process
sh "/Applications/Host-it Backup-Lite/bin/taskkill" "/Applications/Host-it Backup-Lite/BackupManager.app"
sh "/Applications/Host-it Backup-Lite/bin/taskkill" "/Applications/Host-it Backup-Lite/bin/BackupManager.app"
sh "/Applications/Host-it Backup-Lite/bin/taskkill" "/Applications/Host-it Backup-Lite/jvm/bin/java"
sh "/Applications/Host-it Backup-Lite/bin/taskkill" "/Applications/Host-it Backup-Lite/aua/jvm/bin/java"

###############################################################################
#                 R E M O V E                   S E R V I C E S               #
###############################################################################

# Remove Scheduler
if [ -e "/Library/StartupItems/Host-itBackup-Lite" ]; then
    echo "Remove Scheduler for Host-it Backup-Lite Client from service"
    rm -rf "/Library/StartupItems/Host-itBackup-Lite"
fi

# Remove AutoUpdateAgent
if [ -e "/Library/StartupItems/Host-itBackup-Lite-AutoUpdate" ]; then
    echo "Remove AutoUpdateAgent for Host-it Backup-Lite Client from service"
    rm -rf "/Library/StartupItems/Host-itBackup-Lite-AutoUpdate"
fi

###############################################################################
#      R E M O V E        U S E R         D E S K T O P      L I N K          #
###############################################################################

# Remove Desktop Symbolic Link
find /Users -name Desktop -type d -maxdepth 3 -mindepth 2 | while read DESKTOP_PATH;
do
    if [ -e "${DESKTOP_PATH}/Host-itBackup-Lite" ]; then
        echo "Remove Desktop Link Host-itBackup-Lite from path ${DESKTOP_PATH}"
        rm -f "${DESKTOP_PATH}/Host-itBackup-Lite"
        echo "Removed Host-it Backup-Lite Client Desktop Link"
    fi

    if [ -e "${DESKTOP_PATH}/Host-it Backup-Lite" ]; then
        echo "Remove Desktop Link Host-it Backup-Lite from path ${DESKTOP_PATH}"
        rm -f "${DESKTOP_PATH}/Host-it Backup-Lite"
        echo "Removed Host-it Backup-Lite Client Desktop Link"
    fi
done

###############################################################################
#        R E M O V E           A P P L I C A T I O N           H O M E        #
###############################################################################

# Remove Host-it Backup-Lite Client
cd /
if [ -e "/Applications/Host-it Backup-Lite" ]; then
    echo "Remove Host-it Backup-Lite Client from Your Mac OS X"
    rm -rf "/Applications/Host-it Backup-Lite"
fi

###############################################################################
#        R E M O V E             M A C     O S        R E C E I P T S         #
###############################################################################

# Remove Mac OS X Receipts
if [ -e "/Library/Receipts/acb.pkg" ]; then
    echo "Remove Mac OS X Receipt for acb.pkg (Path: /Library/Receipts/acb.pkg)"
    rm -rf "/Library/Receipts/acb.pkg"
fi
